language: cn
model_unique_abbr: spatial_point_event_outlier_detection
version: 1.0
identification:
  docker_image_name: spatial_point_event_outlier_detection:1.0
  model_name: 基于层次约束图的一元空间点过程异常探测
  semantic: outlier detection
  description: 基于层次约束图的地理空间离群点对象自适应探测算法
  category_application: 诊断型
  category_data:
    - 点数据分析
  keywords:
    - 层次约束
    - 三角网
    - 自适应
    - 离群点
parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 空间点数据
      description: 待聚类的空间点数据,以csv的形式保存,包含点ID、X坐标、Y坐标,需要表头
      data_type: csv
      data_semantic: cluster_data

    - arg_name: x_field
      is_single_en_dash: false
      param_type: param
      name: X坐标字段
      description: X坐标列在输入文件中的列名
      data_type: str
      data_semantic: x_field
      param_switches:
        - switch_arg_name: input
          switch_arg_value_regex: csv$
          switch_arg_value_examples: [big_dataset.csv, small_dataset.csv]
      specification:
        default: x

    - arg_name: y_field
      is_single_en_dash: false
      param_type: param
      name: Y坐标字段
      description: Y坐标列在输入文件中的列名
      data_type: str
      data_semantic: y_field
      param_switches:
        - switch_arg_name: input
          switch_arg_value_regex: csv$
          switch_arg_value_examples: [big_dataset.csv, small_dataset.csv]
      specification:
        default: y

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 异常结果
      description: 结果输出文件，格式为json，key为labels和points，value为labels和points一一对应的值。label为0是异常点，label为1是正常点
      data_type: json
      data_semantic: abnormal_result
  groups:
    - group_id: ixy
      group_name: 输入数据XY列
      group_param_arg_names:
        - input
        - x_field
        - y_field
application:
  domain: 空间离群点
  objective: 基于层次约束图的地理空间离群点对象自适应探测算法
  dimension:
    - 二维
  mechanism: 基于层次约束图的地理空间离群点对象自适应探测算法
operation:
  usage: "该算法需要两个参数,X坐标列名,Y坐标列名"
  exec_example:
    - docker run -v $(pwd):/data speod:1.0 --input /data/data.csv --x_field x --y_field y --output /data/res.json
  output_display:
    - "结果是json文件，key为labels和points，value为labels和points一一对应的值。可以绘制所有的点，label为0是异常点，可以用红色标注，正常为1，可以用灰色标注"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Nanwei Cheng
  organization: Central South University
  contact: 2247486718@qq.com
  references:
    - "Shi, Y ., Deng, M., Y ang, X., et al 2016. Adaptive detection of spatial point event outliers using multilevel constrained Delaunay triangulation. Computers, Environment and Urban Systems, 59:164–183."
